Package com.emc.d2fs.models.dictionary_operation

# Class DictionaryOperation

java.lang.Object
com.emc.d2fs.models.dictionary_operation.DictionaryOperation

All Implemented Interfaces:
  `Serializable`

public class DictionaryOperation extends Object implements Serializable

Java class for dictionary_operation complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="dictionary_operation">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="key" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="position" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
             <element name="operationType">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                   <enumeration value="ADD"/>
                   <enumeration value="REMOVE"/>
                   <enumeration value="MODIFY"/>
                   <enumeration value="EXIST"/>
                   <enumeration value="KEYS"/>
                   <enumeration value="COUNT"/>
                   <enumeration value="GET"/>
                   <enumeration value="TOSTRING"/>
                   <enumeration value="VALUES"/>
                   <enumeration value="LANGUAGES"/>
                   <enumeration value="ALIASES"/>
                 </restriction>
               </simpleType>
             </element>
             <element name="type" minOccurs="0">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                   <enumeration value="KEY"/>
                   <enumeration value="ALIAS"/>
                   <enumeration value="LANGUAGE"/>
                 </restriction>
               </simpleType>
             </element>
             <element name="status" minOccurs="0">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                   <enumeration value="ENABLED"/>
                   <enumeration value="DISABLED"/>
                   <enumeration value="ALL"/>
                 </restriction>
               </simpleType>
             </element>
             <element name="values" type="{http://www.emc.com/d2fs/models/attribute}attribute" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DictionaryOperation()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getKey()`
  Gets the value of the key property.
  `String`
  `getOperationType()`
  Gets the value of the operationType property.
  `Integer`
  `getPosition()`
  Gets the value of the position property.
  `String`
  `getStatus()`
  Gets the value of the status property.
  `String`
  `getType()`
  Gets the value of the type property.
  `List<Attribute>`
  `getValues()`
  Gets the value of the values property.
  `void`
  `setKey(String value)`
  Sets the value of the key property.
  `void`
  `setOperationType(String value)`
  Sets the value of the operationType property.
  `void`
  `setPosition(Integer value)`
  Sets the value of the position property.
  `void`
  `setStatus(String value)`
  Sets the value of the status property.
  `void`
  `setType(String value)`
  Sets the value of the type property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DictionaryOperation

    public DictionaryOperation()

- ## Method Details

  - ### getKey

    public String getKey()
    Gets the value of the key property.
    Returns:
      possible object is `String`

  - ### setKey

    public void setKey(String value)
    Sets the value of the key property.
    Parameters:
      `value` - allowed object is `String`

  - ### getPosition

    public Integer getPosition()
    Gets the value of the position property.
    Returns:
      possible object is `Integer`

  - ### setPosition

    public void setPosition(Integer value)
    Sets the value of the position property.
    Parameters:
      `value` - allowed object is `Integer`

  - ### getOperationType

    public String getOperationType()
    Gets the value of the operationType property.
    Returns:
      possible object is `String`

  - ### setOperationType

    public void setOperationType(String value)
    Sets the value of the operationType property.
    Parameters:
      `value` - allowed object is `String`

  - ### getType

    public String getType()
    Gets the value of the type property.
    Returns:
      possible object is `String`

  - ### setType

    public void setType(String value)
    Sets the value of the type property.
    Parameters:
      `value` - allowed object is `String`

  - ### getStatus

    public String getStatus()
    Gets the value of the status property.
    Returns:
      possible object is `String`

  - ### setStatus

    public void setStatus(String value)
    Sets the value of the status property.
    Parameters:
      `value` - allowed object is `String`

  - ### getValues

    public List<Attribute> getValues()
    Gets the value of the values property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the values property.

    For example, to add a new item, do as follows:

            getValues().add(newItem);

    Objects of the following type(s) are allowed in the list `Attribute`